- Home
- API Enriched
- Tenant And Identity
- web
- GetLastLoginMap.
GetLastLoginMap.
GET
/api/web/namespaces/system/tenant/idm/events/last_login
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/idm/events/last_login';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/idm/events/last_login \ --header 'Authorization: <Authorization>'GetLastLoginMap returns last login timestamp for each user within a tenant.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Last login map
Last login map.
object
last_login_map
Last login map
Login map username->timestamp.
object
Examplegenerated
{ "last_login_map": {}}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example